<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [formatPercent](./bitburner.ns.formatpercent.md)

## NS.formatPercent() method

Format a number as a percentage.

**Signature:**

```typescript
formatPercent(n: number, fractionalDigits?: number, suffixStart?: number): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  n | number | Number to format as a percentage. |
|  fractionalDigits | number | _(Optional)_ Number of digits to show in the fractional part of the decimal number. Optional, defaults to 2. |
|  suffixStart | number | _(Optional)_ When to switch the percentage to a multiplier. Default is 1e6 or x1.00m. |

**Returns:**

string

Formatted percentage.

## Remarks

RAM cost: 0 GB

Converts a number into a percentage string with the specified number of fractional digits. This is the same function that the game itself uses to display percentages. The format also depends on the Numeric Display settings (all options on the "Numeric Display" options page) To format plain numbers or ram, see [formatNumber](./bitburner.ns.formatnumber.md) and [formatRam](./bitburner.ns.formatram.md)

